

proc Set_VSSP_Options {} {
    global Options

    load_Options

   if {![info exists Options(vssp.channels)]} {set Options(vssp.channels) 4096}
   if {![info exists Options(vssp.offset)]} {set Options(vssp.offset) 0}
   if {![info exists Options(vssp.shift)]} {set Options(vssp.shift) 1}

    update_Options
}

proc Dump_Raw_VME_Data_VSSP {} {return ""}

proc define_VSSP_config {} {}

proc create_VSSP_spectra {} {
    global SpectrumServer
    global Options

#   for the 32 channels

   set maxadc 32

      for {set j 0} {$j < $maxadc} {incr j} {

         set z [catch {eg "(spectrum :path '/$SpectrumServer' :range $Options(vssp.channels) :name 'Ch$j' !new)" } m]

#    Allow "Spectrum already exists" so that further spectra can be created
         if {$z!=0 && $m==0x30004} then {set z 0}
         if {$z!=0} then {
            display-eg-error-report self $m "Attempting to create spectrum Ch$j"
            clear-footer
            error $m
         } else {
            map_spectrum  "Ch$j 1 $j $Options(vssp.offset) $Options(vssp.shift)"    ;# map as group =1;  item =adcnum
         }
      }

#    for the trace data

     set z [catch {eg "(spectrum :path '/$SpectrumServer' :range 200 :name 'Trace' !new)" } m]

     map_spectrum  "Trace 256 0 0 0"    ;# map as group =256

}

